Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class TextFlowElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.TextFlowElement

public class TextFlowElement
extends SinglePartElement

Use a TextFlowElement to supply alternate text for an AppletElement. You must supply alternate text for an applet either with the TextFlowElement, which adds the alternate text within a block, or with the AppletElement.setAlt() method.

Version:
  2.1
Author:
  Copyright (c) 1996 by WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `AppletElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`TextFlowElement(HtmlElement elem)` Deprecated. Constructs a TextFlowElement with the specified HtmlElement.
`TextFlowElement(java.lang.String str)` Deprecated. Constructs a TextFlowElement with the specified string.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printBody()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`protected boolean` | `printEndingTag()` Deprecated.
`TextFlowElement` | `setText(HtmlElement elem)` Deprecated. Sets the contents of a TextFlowElement.
`TextFlowElement` | `setText(java.lang.String str)` Deprecated. Sets the contents of a TextFlowElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextFlowElement

    public TextFlowElement(java.lang.String str)

  Deprecated.
  Constructs a TextFlowElement with the specified string.

  Parameters:
    `str` - Alternate text for applet

### TextFlowElement

    public TextFlowElement(HtmlElement elem)

  Deprecated.
  Constructs a TextFlowElement with the specified HtmlElement.

  Parameters:
    `elem` - Alternate text for applet

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Deprecated.

  Overrides:
    printEndingTag in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### printBody

    protected boolean printBody()

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### setText

    public TextFlowElement setText(java.lang.String str)

  Deprecated.
  Sets the contents of a TextFlowElement.

  Parameters:
    `str` - Alternate text for applet
  Returns:
    TextFlowElement

### setText

    public TextFlowElement setText(HtmlElement elem)

  Deprecated.
  Sets the contents of a TextFlowElement.

  Parameters:
    `elem` - Alternate text for applet
  Returns:
    TextFlowElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD